% program for testing activated iridium oxide electrodes

% set defaults

airod.i1 = 2;      %interval 1, in seconds
airod.i2 = 4;      %interval 2, in seconds
airod.i3 = 2;      %interval 3, in seconds
airod.h1 = .6;     %height 1, in volts
airod.h2 = -.6;    %height 2, in volts
airod.iinc = .1;   %increment for varying intervals
airod.hinc = .1;   %increment for varying heights
airod.our = .01;    %output update rate, seconds
airod.ovec = zeros(1,2000);  %vector of output data
airod.data = zeros(1,1000);  %vector of measured current
                             %in volts - divide by feedback
                             %resistance to convert to current
airod.rf = .01;      %feedback resistance, in megohms
airod.newrf = airod.rf;    %new value of feedback resistance.
                           %airod.rf is set to this at the
                           %initiation of a cycle.
% call up screen
AIROscr;

% update screen
AIROnewvals(airod);

% Set plotting default to Qelec vs. Time
set(findobj('Tag','iridiumplot','Style','popupmenu') ,'Value',2)

% Set numcycles default to three
set(findobj('Tag','numcycles','Style','popupmenu') ,'Value',3)
