function data = AIROcyc3(airod)

% Open text and binary handles to ACCEL device
textinhandle = dapopen('\\.\dap0\$sysin', 'write');
   if textinhandle == -1
      error('Error opening DAP text handle')
   end
binouthandle = dapopen('\\.\dap0\$binout', 'read');
   if binouthandle == -1
      error('Error opening DAP binout handle')
   end
bininhandle = dapopen('\\.\dap0\$binin', 'write');
   if bininhandle == -1
      error('Error opening DAP binin handle')
   end
   
% Configure DAP using DAPL command file DATA.DAP
cnfg = dapcnfig(textinhandle, 'd:andrew\matlab\airo\AIROcyc3.dap');
   if cnfg < 1
      error('Error configuring DAP')  % Print error message
   end
   
% Start DAP routines
dappstr(textinhandle,'start recorda,recordb');
dappstr(textinhandle,'start cycle3a,cycle3b');   

% Brief pause to make sure DAP routines are running
tic
while toc < .1
end

% Send DAP the output data
ovec = airod.ovec;
BytesWritten = dappbuf(bininhandle,size(ovec,2),ovec);   
if BytesWritten < (2*size(ovec,2))
      error('Error writing to DAP')  % Print error message
   end
   
% Wait and then get data
% For three cycles, the dap board collects
% 30 seconds with of data
tic
while toc < 31
end

data = dapgbuf(binouthandle,3000);

% Stop DAP routines
dappstr(textinhandle,'stop recorda,recordb');
dappstr(textinhandle,'stop cycle3a,cycle3b');   

% Close text and binary handles to ACCEL device
textclose = dapclose(textinhandle);
   if textclose==0
      error('Error closing DAP text handle')
   end
bininclose = dapclose (bininhandle);
   if bininclose==0
      error('Error closing DAP binin handle')
   end
binoutclose = dapclose (binouthandle);
   if binoutclose==0
      error('Error closing DAP binout handle')
   end
