function NewAirod = AIROcycle(OldAirod)
%AIROcycle: output the voltages and collect data for
%AIRO program.

NewAirod = OldAirod;

%reset the dap board
DapRset;

%wait a moment
tic
while toc<.1
end

%make dap output vector
NewAirod = AIROmkovec(NewAirod);

%send the data and collect measured voltage
switch get(findobj('Tag','numcycles'),'Value')
  case 1 %1 cycle
    NewAirod.data = (5/32768)*AIROcyc(NewAirod);
  case 2 %2 cycles
    NewAirod.data = (5/32768)*AIROcyc2(NewAirod);
  case 3 %3 cycles
    NewAirod.data = (5/32768)*AIROcyc3(NewAirod);
end

%update airod.rf to new value
NewAirod.rf = NewAirod.newrf;

%make appropriate plot with data
AIROplot(NewAirod);

