function AIROnewvals(airod)
% AIROnewvals: update screen values for AIRO program

Str = sprintf('%.1f',airod.i1);
set(findobj(gcf,'Tag','i1'),'String',Str,'FontSize',14);

Str = sprintf('%.1f',airod.i2);
set(findobj(gcf,'Tag','i2'),'String',Str,'FontSize',14);

Str = sprintf('%.1f',airod.i3);
set(findobj(gcf,'Tag','i3'),'String',Str,'FontSize',14);

Str = sprintf('%.1f',airod.h1);
set(findobj(gcf,'Tag','h1'),'String',Str,'FontSize',14);

Str = sprintf('%.1f',airod.h2);
set(findobj(gcf,'Tag','h2'),'String',Str,'FontSize',14);

Str = sprintf('%.3f',airod.h1/airod.i1);
set(findobj(gcf,'Tag','sl1'),'String',Str,'FontSize',14);

Str = sprintf('%.3f',(airod.h2-airod.h1)/airod.i2);
set(findobj(gcf,'Tag','sl2'),'String',Str,'FontSize',14);

Str = sprintf('%.3f',-airod.h2/airod.i3);
set(findobj(gcf,'Tag','sl3'),'String',Str,'FontSize',14);

Str = sprintf('%.3f',airod.newrf);
set(findobj(gcf,'Tag','rfeedback'),'String',Str,'FontSize',14);

axes(findobj(gcf,'Tag','bath'))
plot([0 airod.i1 (airod.i1+airod.i2) (airod.i1+airod.i2+airod.i3)], ...
     [0 airod.h1 airod.h2 0])
xlabel('Time (seconds)')
ylabel('Bath potential (volts)')
set(gca,'Tag','bath')
grid on
ax = axis;
axis([0 10 ax(3) ax(4)]);

