function AIROplot(airod)

axes(findobj(gcf,'Tag','iridium'))

inc = airod.h1/(round(airod.i1/airod.our)-1);
inc2 = (airod.h2-airod.h1)/(round(airod.i2/airod.our));
inc3 = -airod.h2/(round(airod.i3/airod.our));
vbath = [0:inc:((airod.h1)-inc) ...
(airod.h1):inc2:((airod.h2)-inc2) ...
(airod.h2):inc3:0];
    
switch get(findobj('Tag','numcycles'),'Value')
  case 1
    t = [0:.01:.01*999];
  case 2
    t = [0:.01:.01*1999];
    vbath = [vbath vbath];
  case 3
    t = [0:.01:.01*2999];
    vbath = [vbath vbath vbath];
end

numcycles = get(findobj('Tag','numcycles'),'Value');
switch get(findobj('Tag','iridiumplot'),'Value')

  case 1 % Ielec vs. Time
    plot(t,airod.data/(airod.rf*1e6))
    xlabel('Time (seconds)')
    ylabel('Electrode Current (Amps)')

  case 2 % Qelec vs. Time
    max_index = round((numcycles*(airod.i1+airod.i2+airod.i3))/airod.our);
    integ(1) = .01*airod.data(1)/(airod.rf*1e6);
    for i=2:max_index
       integ(i) = (.01*airod.data(i)/(airod.rf*1e6))+integ(i-1);
    end
    plot(t(1:max_index),integ);
    xlabel('Time (seconds)')
    ylabel('Charge (Coulombs)')

  case 3 % Ielec vs. Vbath
    max_index = round((numcycles*(airod.i1+airod.i2+airod.i3))/airod.our);
    plot(vbath(1:max_index),airod.data(1:max_index)/(airod.rf*1e6))
    xlabel('Bath potential (Volts)')
    ylabel('Electrode Current (Amps)')

end

set(gca,'Tag','iridium')
grid on

